var userTodosServ=false;
var claseUsuario = "";
var descClaseUsuarioEs = "";
var descClaseUsuarioEu = "";

$.ajax({
	  type: "POST",
	  url: "../usuarios/obtenerClaseUsuario",
	  success: function(data){
		
			  if (data.idclase != null && data.idclase >=0){
				 
				  claseUsuario = data.idclase;			
				  descClaseUsuarioEs = data.cclase;
				  descClaseUsuarioEu = data.eclase;
				  
				  if ($("#cclase_search").val() == "" ) {
					  $("#idclase_search").val(data.idclase);				
					 // alert($("#idclase_search").val());
					  if ($.rup_utils.capitalizedLang() =="Es") {	
						  $("#cclase_search").val(data.cclase);						  
					  } else {
						  $("#cclase_search").val(data.eclase);
						  
					  }
				  }
				  
			  }else{
				  //Si desde el mantenimiento de usuarios no se le ha asignado alguna clase no puede buscar nada
				  $("#idclase_search").val("-1");
				  $("#imgBuscarClase").hide();
				  
			  }
		  },
		 error: function(data){
			 alert( "Error al comprobar la clase a la que pertenece el usuario");
		 },
	  dataType: "json"
	});


jQuery(function($){
	$("#listEjecTecnico_filter_div").toggle();

	//Si el usuario es tiene acceso a todos los servicios (idServicio=0) se podrá filtrar por cualquier Servicio.
	//En el resto de casos se filtrara por el Servicio al que pertenece para que solo salgan los partes asociados a ese servico
	$.ajax({
		  type: "POST",
		  url: "../usuarios/usuarioTodosServicios",
		  success: function(data){
				  if (data){
					  $("#filtroServicio").show();
					  userTodosServ=true;
				  }else{
					  $("#filtroServicio").hide();
				  }
			  },
			 error: function(data){
				 alert( "Error al comprobar el servicio al que pertenece el usuario");
			 },
		  dataType: "json"
		});
	
	
	//Dialogo con el mensaje y barra de sincronizar con gmao...
	$("#dialogoSincronizar").rup_dialog(
	{
		type : $.rup.dialog.DIV,
		height : 200,
		width : 500,
		modal : true,
		showLoading : true,
		autoOpen : false,
		title : $.rup.i18n.app.mensajesEdificios.sincronizando
	});

	var sClase="";
	var sCodigo="";
	$("#GRID_listEjecTecnico").rup_grid({
		
		//hasMaint: true,
		loadOnStartUp:false,
		width: 1012,
		url: "../partes/gridListEjecTecnico",
		pagerName: "pager",
		rowNum: "30",
		sortorder: "asc",
		sortname: "tecnicos, ccodigo",
		ondblClickRow : fncDetalleParte,
		colNames: [
			$.rup.i18n.app.partes.tecnicos,
			$.rup.i18n.app.nuevo.idparte,
			$.rup.i18n.app.nuevo.fechare,
			$.rup.i18n.app.nuevo.fechaplanif,
			$.rup.i18n.app.GRID_cabeceras.edifZonaPlta,
			$.rup.i18n.app.nuevo.clase,
			$.rup.i18n.app.nuevo.codigo,
			$.rup.i18n.app.listEjecTecnico.fechaMax,
			$.rup.i18n.app.nuevo.tiemporeal,
			$.rup.i18n.app.listEjecTecnico.finEjec
		],
		colModel: [
			{ name: "tecnicos",
				label: "tecnicos",
				index: "tecnicos",
				width: "150",
				editable: true,
				edittype: "text"
			},
			{ name: "idparte",
				label: "idparte",
				index: "idparte",
				width: "40",
				editable: true,
				edittype: "text"
			},
			{ name: "fechare",
				label: "fechare",
				index: "fechare",
				width: "140",
				editable: true,
				edittype: "text"
			},
			{ name: "fechaplanif",
				label: "fechaplanif",
				index: "fechaplanif",
				width: "120",
				editable: true,
				edittype: "text"
			},
			{ name: "localizacion",
				label: "localizacion",
				index: "cedificio,czona",
				width: "130",
				editable: true,
				edittype: "text"
			},
			{ name: "clase." + obtenerIdioma() + "clase",
				label: "clase." + obtenerIdioma() + "clase",
				index: "idclase",
				width: "120",
				editable: true,
				edittype: "text"
			},
			{ name: "codigo." + obtenerIdioma() + "codigo",
				label: "codigo." + obtenerIdioma() + "codigo",
				index: "idcodigo",
				width: "170",
				editable: true,
				edittype: "text"
			},
			{ name: "fechaej",
				label: "fechaej",
				index: "fechaej",
				width: "140",
				editable: true,
				edittype: "text"
			},
			{ name: "tiempoReal",
				label: "tiempoReal",
				index: "tiempoReal",
				width: "50",
				editable: true,
				edittype: "text"
			},
			{ name: "ejecutado",
				label: "ejecutado",
				index: "finalizado",
				width: "40",
				editable: true,
				edittype: "text",
			    formatter :
                	masiveIconFormatter = function(cellval, el, opts) 
                	{
			    		var html = '';
			    		var src = $.rup.RUP+"/basic-theme/images/rup.ok.png";
                		if (cellval && cellval != 0){
                        	html = '<img width="20" height="20" src='+src+' id="idDesc-'+cellval+'"  title="'+$.rup.i18n.app.listCorr.ejecutado+'">';
                        }
                        return html;
                	}
			}
        ]
		
	});
	
	$("#listEjecTecnico").rup_maint({
		jQueryGrid: "GRID_listEjecTecnico",
		primaryKey: "idparte",
		modelObject: "Partes",
		detailButtons: $.rup.maint.detailButtons.SAVE,
		onafterDetailShow: function(){
			$("#listEjecTecnico").rup_maint("search");
		},
		searchForm: "searchForm",
		showMessages: true,
		toolbar:{
			createDefaultToolButtons:false,
			newButtons: [{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.editar,
						css: "rup-maint_edit"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncDetalleParte
					},
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.imprimir,
						css: "rup-maint_imprimir"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncImprimir
					},
					{
						obj: {
							i18nCaption: $.rup.i18n.app.botones.sincronizar,
							css: "rup-maint_sincronizar"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncDescargarOTsGmao
					}
					]
	
			}
	});

	function fncImprimir() {

		//Pasar los filtros al formulario filtroEjecTecnicoForm
		$("#idparte_impr").val($("#idparte_search").val());
		$("#fechareD_impr").val($("#fechareD_search").val());
		$("#fechareH_impr").val($("#fechareH_search").val());
		$("#fechaplanifD_impr").val($("#fechaplanifD_search").val());
		$("#fechaplanifH_impr").val($("#fechaplanifH_search").val());
		$("#nombre_impr").val($("#nombre_search").val());	
		$("#iddepar_impr").val($("#iddepar_search").val());
		$("#iddir_impr").val($("#iddir_search").val());
		$("#idedificio_impr").val($("#idedificio_search").val());
		$("#idzona_impr").val($("#idzona_search").val());
		$("#idplanta_impr").val($("#idplanta_search").val());
		$("#idclase_impr").val($("#idclase_search").val());
		$("#cclase_impr").val($("#cclase_search").val());
		
		$("#idcodigo_impr").val($("#idcodigo_search").val());
		$("#pendSinTec_impr").val($("#pendSinTec_search").val());
		$("#pendConTec_impr").val($("#pendConTect_search").val());
		$("#ejecutado_impr").val($("#ejecutado_search").val());
		$("#idtecnico_impr").val($("#idtecnico_search").val());
		$("#unParteHoja_impr").val($("#unParteHoja").val());
		//if ($("#usuarioEsAdministrador").val()=="true"){
		if (userTodosServ==true){
			$("#idservicio_impr").val($("#idServicio").val());
		}
		if ($("#urgente_search").is(':checked')){
			$("#urgente_impr").val(1);
		}

		$("#filtroEjecTecnicoForm").attr("action","../partes/imprimirEjecTecnico");
		$("#filtroEjecTecnicoForm").attr("method","GET");
		$("#filtroEjecTecnicoForm").attr("target","_blank");
		 //Se envia el formulario 
		$("#filtroEjecTecnicoForm").submit();
	}

	function fncDetalleParte() {
		$("#miPagina").val($("#GRID_listEjecTecnico").rup_grid("getGridParam").page);
		
		var id= $("#GRID_listEjecTecnico").rup_grid('getGridParam','selrow');
		 //alert(id);
		 var ret = $("#GRID_listEjecTecnico").rup_grid('getRowData',id); 
		 var idparte =ret.idparte;
		 
		    // enviamos el form alternativo con el idparte
			buscaParteForm.idparte.value = idparte;
			buscaParteForm.submit();
		return false; 		
	}
	
	//Busqueda por fecha de recepcion.
	$.rup_date({
		from: "fechareD_search",
		to: "fechareH_search",
		independientes: true
		});
	
	$.rup_date({
		from: "fechaplanifD_search",
		to: "fechaplanifH_search",
		independientes: true
		});
	
	if ($("#actualesTodos").val()==1){
		//Se cargan todos los departamentos y direcciones, actuales y de baja
		//Departamento
		$("#comboDepartamentos").rup_combo({
			source: "../partes/departamentos/combo/remote",
			sourceParam: {label:obtenerIdiomaCombo()+"depar", value:"iddepar"},
			width: 200,
			menuWidth:350,
			blank: "",
			ordered: false,
			select: function(){
				//asignar el valor seleccionado al campo del formulario que actualiza el valor
				$("#iddepar_search").val($("#comboDepartamentos").rup_combo("value"));
				//asignar el label seleccionado al campo del formulario para mostrar el filtro en el pdf que se genera al imprimir
				$("#cdepar_impr").val($("#comboDepartamentos").rup_combo("label"));
	
			},
			style : "dropdown"										
		});
		//Direccion
		$("#comboDirecciones").rup_combo({
			parent: [ "comboDepartamentos"],
			source: "../partes/direcciones/combo/remote",
			sourceParam: {label:obtenerIdiomaCombo()+"dir", value:"iddir"},
			width: 200,
			menuWidth:350,
			blank: "",
			ordered: false,
			select: function(){
				//asignar el valor seleccionado al campo del formulario que actualiza el valor
				$("#iddir_search").val($("#comboDirecciones").rup_combo("value"));
				//asignar el label seleccionado al campo del formulario para mostrar el filtro en el pdf que se genera al imprimir
				$("#cdir_impr").val($("#comboDirecciones").rup_combo("label"));
				
			},
			style : "dropdown"										
		});
		
		$("input:radio[name=rbActTodos]", "#searchForm").filter("[value=1]").prop("checked", true);
	}else{
		//Departamento
		$("#comboDepartamentos").rup_combo({
			source: "../partes/departamentosAlta/combo/remote",
			sourceParam: {label:obtenerIdiomaCombo()+"depar", value:"iddepar"},
			width: 200,
			menuWidth:350,
			blank: "",
			ordered: false,
			select: function(){
				//asignar el valor seleccionado al campo del formulario que actualiza el valor
				$("#iddepar_search").val($("#comboDepartamentos").rup_combo("value"));
				//asignar el label seleccionado al campo del formulario para mostrar el filtro en el pdf que se genera al imprimir
				$("#cdepar_impr").val($("#comboDepartamentos").rup_combo("label"));
	
			},
			style : "dropdown"										
		});
		//Direccion
		$("#comboDirecciones").rup_combo({
			parent: [ "comboDepartamentos"],
			source: "../partes/direccionesAlta/combo/remote",
			sourceParam: {label:obtenerIdiomaCombo()+"dir", value:"iddir"},
			width: 200,
			menuWidth:350,
			blank: "",
			ordered: false,
			select: function(){
				//asignar el valor seleccionado al campo del formulario que actualiza el valor
				$("#iddir_search").val($("#comboDirecciones").rup_combo("value"));
				//asignar el label seleccionado al campo del formulario para mostrar el filtro en el pdf que se genera al imprimir
				$("#cdir_impr").val($("#comboDirecciones").rup_combo("label"));
				
			},
			style : "dropdown"										
		});
		
		$("input:radio[name=rbActTodos]", "#searchForm").filter("[value=0]").prop("checked", true);
	}
	//Edificio
	$("#comboEdificios").rup_combo({
		source: "../partes/edificiosUsuario/combo/remote",
		sourceParam: {label:obtenerIdiomaCombo()+"edificio", value:"idedificio"},
		width: 200,
		menuWidth:350,
		blank: "",
		select: function(){
			//asignar el valor seleccionado al campo del formulario que actualiza el valor
			$("#idedificio_search").val($("#comboEdificios").rup_combo("value"));
			//asignar el label seleccionado al campo del formulario para mostrar el filtro en el pdf que se genera al imprimir
			$("#cedificio_impr").val($("#comboEdificios").rup_combo("label"));
			
		},
		style : "dropdown"										
	});
	

	//Se Crea el combo de Envio mail
	$('#enviomailCombo').rup_combo({
		source : [
				{i18nCaption: $.rup.i18n.app.comboEnviomail._blank, value:""},
				{i18nCaption: $.rup.i18n.app.comboEnviomail.conMail, value:"1"},
				{i18nCaption: $.rup.i18n.app.comboEnviomail.sinMail, value:"0"}
		         ],
		width: 150,
		select: function(){
			//asignar el valor seleccionado al campo del formulario que actualiza el valor
			$("#enviomail_search").val($("#enviomailCombo").rup_combo("value"));
			//asignar el valor seleccionado al campo del formulario para mostrar el filtro en el pdf que se genera al imprimir
			$("#enviomail_impr").val($("#enviomailCombo").rup_combo("value"));

		},
		orderedByValue: true,
		style : "dropdown"	
	});
	
	//Combo multiselección Tecnicos para posterior búsqueda
	$("#idtecnico_search").rup_combo(
	{
		source: "../usutecnicos/comboTecnicosUsuario?idUsuario="+$("#idUsuario").val(),
		sourceParam : {
			label : "nombre",
			value : "idtecnico"
		},
		width : 300,
		showValue: false,
		submitAsString : true,
		method : 'GET',
		multiselect: true,
		multiOptgroupIconText: true,
		filterMultiple:true,
		onLoadSuccess: function(){
			var tecnicos = $("#tec").val();
			if(tecnicos.indexOf(",") != -1){
				var tecArray = [];
				tecArray = tecnicos.split(",");
				for(var i=0;i<tecArray.length;i++){
					$("#idtecnico_search").rup_combo("select",[tecArray[i]]);
				}
			}else{
				$("#idtecnico_search").rup_combo("select",[$("#tec").val()]);
			}
		}
	});


	/*
	$("#idtecnico_search").rup_autocomplete({
		source: "../tecnicos/tecnicosUsuario/autocomplete/remote",
		sourceParam: {label:"nombre", value:"nombre"},
		width: 200,
		contains : false
	});
	*/
	// Limpiar no deschequea automaticamente los chekbox.  
	$("#clean_search_listEjecTecnico").unbind("click");
	$("#clean_search_listEjecTecnico").bind("click",limpiarFormBusqueda);

	setTimeout(function() {
		$("#listEjecTecnico").rup_maint("search");
	
		$("#GRID_listEjecTecnico").on(("jqGridAfterLoadComplete"), function (){
			$.ajax({
				type: "POST",				  
				url: "../partes/obtenerTiempoTotalListado",
				success: function(data){
					$("#tiempoTotal").text($.rup.i18nParse($.rup.i18n.app,"mensajesPartes.TotalMinutos") + " " + data);
				},
				error: function() {
				 
				}
			  
				});
		});
	}, 200);	
	
});

/*************************************************************/
/***********************SERVICIOS*****************************/
/*************************************************************/

$("#imgBuscarServicios").rup_tooltip({
	content: {
	text: $.rup.i18n.app.nuevo.ventanaSeleccion
	}
});

function btn_BuscarServicios(){
	var urlServicios="../servicios/obtenerServicios";
	
	$("#idTablaServicios").empty();
	var textoBaja="";
	//Obtener la lista de Servicios
	$.ajax({
		type: "POST",
		url: urlServicios,
		success: function(data){
			var miselect=$("#idTablaServicios");
			$("#idTablaServicios").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cservicio;
              	} else {
              		descripcion = textoBaja + data[i].eservicio;
              	}
              	miselect.append('<option value="' + data[i].idservicio + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupa Servicios
	$("#lupaServicios").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:450,  
        resizable:false,
        title:$.rup.i18n.app.comun.serviciosVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaServicios",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
		        		//Pintar el texto de servicio 
		        		$("#idServicio").val($("#idTablaServicios option:selected").val());
		        		var texto = $("#idTablaServicios option:selected").html();
		        		texto = texto.replace(/&nbsp;/g, "");
		        		$("#textoServicio").val(texto);
		        		$("#lupaServicios").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarlupaServicios",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaServicios").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   

}

/**************************************************************/

function buscar(){
	$("#listEjecTecnico").rup_maint("search");
}
function limpiarFormBusqueda() {
	$("#ejecutado_search").prop('checked', false);
	$("#pendSinTec_search").prop('checked', false);
	$("#pendConTect_search").prop('checked', false);
	$("#unParteHoja").prop('checked', false);
	$("#urgente_search").prop('checked', false);
	
	$('#comboDepartamentos').rup_combo("setRupValue","");
	$('#comboDirecciones').rup_combo("setRupValue","");

	cargarCombosDptoDir(0);
	
	
	$("#listEjecTecnico").rup_maint("cleanSearchForm");
	
	$("#idclase_search").val(claseUsuario);
	if ($.rup_utils.capitalizedLang() =="Es") {	
		$("#cclase_search").val(descClaseUsuarioEs);
	} else {
		$("#cclase_search").val(descClaseUsuarioEu);
	}
	
	$("#listEjecTecnico").rup_maint("search");
	
	$("#rbActTodos1").attr('checked', true);
	$("#rbActTodos1").val(0);
	$("#rbActTodos2").val(1);

}

function obtenerIdiomaCombo(){
	var idioma="c";		
	if ($.rup_utils.capitalizedLang() =="Es") {	
		idioma = "c";
	} else idioma="e";
	return idioma;
	}
/*function activarCheck(e){
	$("input[type=checkbox]").each (function() {						
		$(this).val(this.checked ? "1" : "0");
	});
}*/
function comprobarCheckUrgente(valor){
    if($('#urgente_search').is(":checked")) {
    	$('#urgente_search').prop("checked", true);
    	$('#urgente_search').val("1");
    }else{
    	$('#urgente_search').prop("checked", false);
    	$('#urgente_search').val("0");
    }
}
function obtenerIdioma(){
    var idioma="";       
    if ($.rup_utils.capitalizedLang() =="Es") {    
          idioma = "c";
    } else idioma="e";
    return idioma;
}


function btn_BuscarCodigos(){
	$("#idTablaClases").empty();
	var textoBaja="";
	//Obtener la lista de Clases
	$.ajax({
		type: "POST",
		url: "../clase/clases/obtenerClasesServicio",
		data:{idClase:claseUsuario},
		success: function(data){
			var miselect=$("#idTablaClases");
			$("#idTablaClases").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cclase;
              	} else {
              		descripcion = textoBaja + data[i].eclase;
              	}
              	miselect.append('<option value="' + data[i].idclase + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	textoBaja="";
	//Obtener la lista de activos
	if (parseInt(claseUsuario) > 0) {
		
		obtenerCodigosClase($("#idclase_search").val());
		} else {
	$.ajax({
		type: "POST",
		url: "../codigo/codigos/obtenerCodigosServicio",
		success: function(data){
			var miselect=$("#idTablaCodigos");
			$("#idTablaCodigos").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = textoBaja + data[i].ccodigo;
              	} else {
              		descripcion = textoBaja + data[i].ecodigo;
              	}
              	miselect.append('<option value="' + data[i].idclase + '@' + data[i].idcodigo + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});
		}
	
	//Mostrar la ventana de lupa
	$("#lupa").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:649,  
        resizable:false,
        title:"",
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarLupa",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//$("#comboClasesActivo_label").rup_autocomplete("search", sClase);
	        		//$("#comboActivos_label").rup_autocomplete("search", sCodigo);
	        		/*sClase = sClase.replace(/&nbsp;/g, "");
	        		$("#idclase_search").val(sClase);
	        		sCodigo = sCodigo.replace(/&nbsp;/g, "");
	        		$("#idcodigo_search").val(sCodigo);
	        		$("#lupa").rup_dialog("close");*/
	        		
	        		if ($("#idTablaClases").val() != null && $("#idTablaClases").val() != "" && $("#idTablaClases").val() != " ") {
		        		
		        		sClase = sClase.replace(/&nbsp;/g, "");
		        		$("#idclase_search").val($("#idTablaClases").val());
		        		$("#cclase_search").val(sClase);
		        		} 
		        		
		        		var elCodigo = $("#idTablaCodigos option:selected").html();
		        		if (elCodigo != undefined) {
		        		elCodigo = elCodigo.replace(/&nbsp;/g, "");
		        		
		        		$("#idcodigo_search").val(elCodigo);
		        		} else {
		        			$("#idcodigo_search").val("");
		        		}
		        		
		        		
		        		$("#lupa").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarLupa",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupa").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   
}
function obtenerCodigosClase(valor){
	if (valor == "0") valor = "";
	textoBaja="";
	//Obtener la lista de activos
	$.ajax({
		type: "POST",
		url: "../codigo/codigos/obtenerCodigosClaseServicio",
		  data:  { claseSel:valor },
		success: function(data){
			var miselect=$("#idTablaCodigos");
			$("#idTablaCodigos").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion = textoBaja + data[i].ccodigo;
              	} else {
              		descripcion = textoBaja + data[i].ecodigo;
              	}
              	miselect.append('<option value="' + data[i].idclase + '@' + data[i].idcodigo + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	sClase=$("#idTablaClases option:selected").html();
}
function obtenerClaseCodigo(valor){
	var claseCodigo= valor; //Original Text

	var partes= claseCodigo.split('@');
	var clase = partes[0];
	var codigo= partes[1];
	
	sCodigo=$("#idTablaCodigos option:selected").html();;
	//Marcar clase asociada al activo	
	$("#idTablaClases option[value="+ clase +"]").attr("selected",true);
	sClase=$("#idTablaClases option:selected").html();
}
$(window).load(function() {
	$('#comboEdificios').rup_combo("setRupValue",$("#idedificio_search").val());
	$('#comboDepartamentos').rup_combo("setRupValue",$("#iddepar_search").val());
	$('#comboDirecciones').rup_combo("setRupValue",$("#iddir_search").val());
	$('#enviomailCombo').rup_combo("setRupValue",$("#enviomail_search").val());
});


function cargarCombosDptoDir(valor){
	if (valor==1){
		$("#comboDepartamentos").rup_combo().data("settings").source="../partes/departamentos/combo/remote";
		$("#comboDirecciones").rup_combo().data("settings").source="../partes/direcciones/combo/remote";
		$("#actualesTodos").val(1);
	}else{
		$("#comboDepartamentos").rup_combo().data("settings").source="../partes/departamentosAlta/combo/remote";
		$("#comboDirecciones").rup_combo().data("settings").source="../partes/direccionesAlta/combo/remote";
		$("#actualesTodos").val(0);
	}
	$('#comboDepartamentos').rup_combo("reload");
	//vaciar el campo del formulario que actualiza el valor
	$("#iddepar_search").val("");
	$("#iddir_search").val("");
	
}

function fncDescargarOTsGmao(){
	var propertiesOK = {
			type: "ok",
			fadeSpeed: 600,
			gotoTop: false,
			block: false,
			closeLink: false
	};

var propertiesError = {
			type: "error",
			fadeSpeed: 600,
			gotoTop: false,
			block: true,
			closeLink: false
	};

$.rup_messages("msgConfirm", {
	title: $.rup.i18nParse($.rup.i18n.app,"mensajesEdificios.sincronizar"),			
	message: $.rup.i18nParse($.rup.i18n.app,"mensajesPartes.msjSincronizarGmao"),
	OKFunction: function(){
		var respuesta = '';
		$.ajax({
			type: "POST",
			url: "../procesosGmao/bajarTodasOTsGmao",
			dataType: "json",
			beforeSend : function(data) {
				//Mostrar div de sincronizando
				$("#dialogoSincronizar").rup_dialog("open");
			},
			success: function(data){
				$("#dialogoSincronizar").rup_dialog("close");
				
				respuesta = data;
				if(respuesta == "OK"){
					$("#feedback_listEjecTecnico").rup_feedback (propertiesOK);
					$("#feedback_listEjecTecnico").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.okSincronizar + "</strong></p>");
					$("#feedback_listEjecTecnico").rup_feedback("show");
				}else if (respuesta == ""){
				
				}else{
					$("#feedback_listEjecTecnico").rup_feedback (propertiesError);
					$("#feedback_listEjecTecnico").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorSincronizar + ": " + respuesta + "</strong></p>");
					$("#feedback_listEjecTecnico").rup_feedback("show");
				}
					  
			},
			error: function(data) {
				$("#dialogoSincronizar").rup_dialog("close");
		 		$("#feedback_listEjecTecnico").rup_feedback (propertiesError);
		 		$("#feedback_listEjecTecnico").rup_feedback("set", "<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorSincronizar + "</strong></p>");
		 		$("#feedback_listEjecTecnico").rup_feedback("show");
				  
			}
		});
		
		
	},
	CANCELFunction : function(){
	}
	});
}

function ocultarBusqueda(){
	
	$("#listEjecTecnico_filter_div").toggle("slow",function(){
		
	});
}
